Bug 195453 - CSS 'font-family' disables monospaced fonts with use_document_fonts==0
CSS 'font-family' disables monospaced fonts with use_document_fonts==0
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 07:21 EDT by Enrico Scholz
Modified: 2008-10-24 09:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 09:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 159440 None None None Never
Mozilla Foundation 79074 None None None Never

  None (edit)
Description Enrico Scholz 2006-06-15 07:21:49 EDT
Description of problem:

When:

* browser.display.use_document_fonts is set to false
* CSS contains a font-family specification

monospaced text (e.g. in <pre>) will not be displayed monospaced anymore


Version-Release number of selected component (if applicable):

firefox-1.5.0.3-1.1.fc5


How reproducible:

100%

Steps to Reproduce:
0. create new profile; disable all plugins
1. set 'browser.display.use_document_fonts' to '0'
2. open  http://ensc.de/bugs/firefox-fonts/foo.html
3. try the alternative 'good fonts' style


Actual results:

* the <pre>...</pre> text is written with a non-monospaced font at 2)
* text is displayed correctly at 3)


Expected results:

text is written with a monospaced font both in 2) and 3)
Comment 1 Matěj Cepl 2007-07-18 13:31:06 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 2 Enrico Scholz 2007-07-18 14:31:27 EDT
still with firefox-2.0.0.4-2.fc7
Comment 3 Matěj Cepl 2007-08-28 12:15:08 EDT
Yes, can fully reproduce with firefox-2.0.0.5-1.fc7
Comment 4 Matěj Cepl 2008-02-08 15:42:15 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 5 Enrico Scholz 2008-02-09 04:46:00 EST
still with firefox-2.0.0.10-3.fc8
Comment 6 Matěj Cepl 2008-02-21 17:34:35 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 7 Matěj Cepl 2008-02-21 17:35:49 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 8 Matěj Cepl 2008-04-09 09:09:57 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Enrico Scholz 2008-04-09 14:39:47 EDT
still with firefox-2.0.0.13-1.fc8
Comment 11 Matěj Cepl 2008-10-24 09:07:37 EDT
We believe that given our limited capabilities it is more appropriate to let this issue be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.